kdeedu-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Karmic rebuild number 2

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 13 Dec 2009 01:19:00 -0600

kdeedu-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdeedu-trinity (4:3.5.10-0ubuntu1~intrepid4) intrepid; urgency=low

  * Moved KDE3 to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 17:24:00 -0600

kdeedu-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * SVN Import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 29 Sep 2008 15:17:00 -0600

kdeedu (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump version of kdelibs4-dev build-dep to 3.5.10
    - Drop usr/bin/test_extdate and usr/bin/test_extdatepicker from
      debian/libkdeedu-dev.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:41:56 -0400

kdeedu (4:3.5.9-0ubuntu2) hardy; urgency=low

  * Fix overwrite, kalzium-data conflicts/replaces old kalzium

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Mar 2008 20:41:48 +0000

kdeedu (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:06 +0000

kdeedu (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:45:18 +0000

kdeedu (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - No omcal build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:43 +0000

kdeedu (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
    + Patches: remove 11_kig+boost_autoconf_check, merged upstream.
    + Update *.install files.
  * Update section in Debian menu files.
  
  * Implement use of uploaders.mk and update uploaders.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 16 Oct 2007 16:19:11 +0200

kdeedu (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:25 +0100

kdeedu (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Rebuild for boost 1.34.0 -> 1.34.1 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 13 Sep 2007 11:06:00 +1000

kdeedu (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * New Upstream Version
  * Modify Maintainer value to match Debian-Maintainer-Field Spec
  * Removed kubuntu_02_python2.5.diff - fixed upstream

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 23 May 2007 12:49:14 +1000

kdeedu (4:3.5.7-1) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * New upstream version.
    - fix issues with accented chars in ktouch. (Closes: #360985)
    - kwordquiz desktop file is now installed the right place. 
    - patch upstream build system regarding boost. It doesn't find the debian
      boost version. Thanks to Daniel Schepler for doing the nice checks in
      debian/rules to catch this.

  +++ Changes by Daniel Schepler:

  * debian/control: Add kgeography to the kdeedu metapackage.

 -- Sune Vuorela <debian@pusling.com>  Wed, 16 May 2007 12:29:33 +0200

kdeedu (4:3.5.6-3ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:54 +0100

kdeedu (4:3.5.6-3) unstable; urgency=low

  +++ Changes by Daniel Schepler:

  * debian/control: Add kgeography to the kdeedu metapackage.

 -- Daniel Schepler <schepler@debian.org>  Tue, 24 Apr 2007 22:37:43 -0400

kdeedu (4:3.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Apr 2007 17:06:10 +0100

kdeedu (4:3.5.6-1) experimental; urgency=low

  * New upstream version.
    - fixes typo in Hercules constellation in kstars. (Closes: #395849)
  * Make kdeedu-dbg depend on kdelibs-dbg to get useful backtraces when
    debugging.

  +++ Changes by Sune Vuorela:
  * Update kfreebsd install files. (Closes: 399235)
  * Remove patch 12_fr_keyboard (applied upstream).
  * Enable more keyboardlayouts in ktouch. (Closes: #398735)
  * Don't relibtoolize on-the-fly, but use buildprep instead.
    - adapt build depends accordingly.
  * Okay. Yann Dirson wins. Let us try to ship the kig python
    script api docs (Closes: #394517). Needs to build-dep on doxygen.
    This should really be moved to its own binary-indep package soonish.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 20 Jan 2007 16:55:45 +0100

kdeedu (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Remove 12_fr_keyboard.diff
  * Add kubuntu_02_python2.5.diff for python 2.5 detection

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:30 +0000

kdeedu (4:3.5.5-1ubuntu3) feisty; urgency=low

  * Rebuild for python2.5.
  * Teach kig about python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Jan 2007 00:57:51 +0000

kdeedu (4:3.5.5-1ubuntu2) feisty; urgency=low

  * Up the replaces on indi of kstars to fix https://launchpad.net/bugs/78964

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 14 Jan 2007 12:49:44 +0000

kdeedu (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Compile with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 20:14:40 +0000

kdeedu (4:3.5.5-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete Recommends: kcontrol, along with the accompanying
    blurb in the package description, which is no longer needed because
    of the Depends: ttf-sjfonts.

 -- Daniel Schepler <schepler@debian.org>  Sun,  8 Oct 2006 14:26:21 +0200

kdeedu (4:3.5.4-2) unstable; urgency=low

  * KDE_3_5_BRANCH update (up to r577498).

  +++ Changes by Christopher Martin:

  * Packaging sync with the rest of the team KDE packages. Update
    package descriptions, sync debian-qt-kde.mk and other CDBS
    stuff (should help building on slow architectures).

  * Rather than having packages recommend kdeedu-data, just depend
    on it.

  * Apply the still-relevant kstars/indi part of the kFreeBSD build
    patch (libtool is now updated automatically). (Closes: #326619)

  * Strengthen kiten's Recommends: ttf-kochi-gothic | ttf-kochi-mincho
    to a Depends. (Closes: #372112)

  * Fix kvoctrain description typo. (Closes: #364193)

  * Patch the ktouch French keyboard. (Closes: #347850)

  * Split INDI out of kstars, into a new 'indi' package, which kstars
    depends on. (Closes: #267999, #365098)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Aug 2006 17:07:38 -0400

kdeedu (4:3.5.4-1) unstable; urgency=low

  * New upstream release.
    + Fixes detection of autoconf 2.60.  Closes: #379817.
  * Bump Standards-Version to 3.7.2 (no changes required).

 -- Daniel Schepler <schepler@debian.org>  Sat, 29 Jul 2006 13:21:27 -0400

kdeedu (4:3.5.5-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  3 Oct 2006 10:56:07 +0000

kdeedu (4:3.5.4-0ubuntu4) edgy; urgency=low

  * Rebuild with latest cdbs to add gettext domain to .desktop files for
    langpacks-desktopfiles-kde, no source changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Sep 2006 22:53:10 +0000

kdeedu (4:3.5.4-0ubuntu3) edgy; urgency=low

  * Add kalzium-data Replaces: kalzium (<< 4:3.5.4)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  1 Aug 2006 15:15:09 +0000

kdeedu (4:3.5.4-0ubuntu2) edgy; urgency=low

  * Remove 30_libtool.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 Jul 2006 16:15:24 +0100

kdeedu (4:3.5.4-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jul 2006 10:12:18 +0000

kdeedu (4:3.5.3-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 03 Jul 2006 19:57:21 +0100

kdeedu (4:3.5.2-1) unstable; urgency=low

  * New upstream release.
  * Add blinken to kdeedu dependencies.
  * Remove copy of steve.ttf from blinken, and instead depend on
    the new ttf-sjfonts package.  Closes: #344377.
  * Do the same for khangman: remove the copies of Domestic_Manners.ttf
    and Dustismo_Roman.ttf, and instead depend on ttf-dustin.

 -- Daniel Schepler <schepler@debian.org>  Wed, 29 Mar 2006 21:31:41 +0200

kdeedu (4:3.5.2-0ubuntu9) dapper; urgency=low

  * debian/rules:
    - added dh_iconcache.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 18 May 2006 15:16:34 +0200

kdeedu (4:3.5.2-0ubuntu8) dapper; urgency=low

  * Add EXTRACTATTR to .pot generation rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  9 May 2006 18:31:07 +0300

kdeedu (4:3.5.2-0ubuntu7) dapper; urgency=low

  * Add build-dep on gawk so that kstars.pot gets generated

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  9 May 2006 17:42:58 +0300

kdeedu (4:3.5.2-0ubuntu6) dapper; urgency=low

  * Remove html docs in kanagram, they are in kdeedu-doc-html.
  * Move kgeography html docs to kdeedu-doc-html. 

 -- Frode M. Doeving <frode@lnix.net>  Tue,  2 May 2006 18:41:09 +0200

kdeedu (4:3.5.2-0ubuntu5) dapper; urgency=low

  * Make kgeorgraphy Replaces kgeography-data, closes Malone #42192

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  1 May 2006 17:20:59 +0100

kdeedu (4:3.5.2-0ubuntu4) dapper; urgency=low

  * Remove references in debian/kdeedu-doc-html* to KMessedwords,
    now Kanagram, Closes Malone #30732

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Apr 2006 16:25:37 +0100

kdeedu (4:3.5.2-0ubuntu3) dapper; urgency=low

  * Updated debian/rules to install docs for the correct list of packages

 -- Frode M. Doeving <frode@lnix.net>  Wed, 26 Apr 2006 19:11:21 +0200

kdeedu (4:3.5.2-0ubuntu2) dapper; urgency=low

  * Edit debian/rules to mark .po files as UTF-8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Apr 2006 19:11:11 +0100

kdeedu (4:3.5.2-0ubuntu1) dapper; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Mar 2006 12:06:28 +0000

kdeedu (4:3.5.1-1) unstable; urgency=low

  * New upstream release.
  * Adjust dependencies on *-data to be binNMU-safe.
    Closes: #348644, #348687, #348690, #348692.
  * New patch 10_lib_link.diff: Link libkvoctrain.so against -lkio to
    resolve as many undefined symbols as possible.  Unfortunately, that
    library still needs a couple symbols from the kvoctrain binary itself.
  * Remove obsolete kmessedwords doc-base file.  Closes: #350297.

 -- Daniel Schepler <schepler@debian.org>  Thu,  2 Feb 2006 09:49:13 +0100

kdeedu (4:3.5.1-0ubuntu1) dapper; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jan 2006 14:26:06 +0000

kdeedu (4:3.5.0-4) unstable; urgency=low

  * New package: kdeedu-dbg, to make debugging symbols available.
  * Include uuencoded tar file of binary files changed on branch.
  * Rebuild against boost 1.33.1.

 -- Daniel Schepler <schepler@debian.org>  Tue, 17 Jan 2006 09:44:35 +0100

kdeedu (4:3.5.0-3) unstable; urgency=low

  * Upload to unstable.
  * No longer build with g++-3.4 on any architecture, since g++-4.0
    should be fixed.
  * Update to SVN branches/KDE/3.5, up to revision 496050.
  * Tighten versioning of Build-Depends on kdelibs4-dev.  Closes: #344765.

 -- Daniel Schepler <schepler@debian.org>  Mon,  9 Jan 2006 22:39:22 +0100

kdeedu (4:3.5.0-2) experimental; urgency=low

  * Upload to experimental.

 -- Daniel Schepler <schepler@debian.org>  Tue, 20 Dec 2005 10:47:44 +0100

kdeedu (4:3.5.0-1) alioth; urgency=low

  * New upstream release.
  * Rename package kmessedwords to kanagram.
  * Rename libkdeedu1 to libkdeedu3 due to SONAME change of libkdeeduui.
  * New packages: blinken, kgeography, kgeography-data.
  * New split-off data package: kalzium-data.
  * Regenerate all Debian menu icons, since several of the upstream icons
    were improved.

 -- Daniel Schepler <schepler@debian.org>  Wed, 14 Dec 2005 00:31:49 +0100

kdeedu (4:3.5.0-0ubuntu2) dapper; urgency=low

  * rebuild for new libboost 

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 13 Jan 2006 15:31:57 +0100

kdeedu (4:3.5.0-0ubuntu1) dapper; urgency=low

  * New upstream release
  * Remove GCC 3.4 on hppa

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  6 Dec 2005 12:27:39 +0000

kdeedu (4:3.5-rc2-0ubuntu1) dapper; urgency=low

  * New upstream pre-release
  * Generate .pot files
  * Sync with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Nov 2005 19:43:59 +0000

kdeedu (4:3.5-rc1-0ubuntu1) dapper; urgency=low

  * New upstream pre-release
  * kmessedwords replaced with kanagram
  * libkdeedu1 becomes libkdeedu3
  * New packages kgeography, blinken

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 13 Nov 2005 20:53:20 +0000

kdeedu (4:3.4.3-2) unstable; urgency=low

  * New maintainer: I'll be the primary maintainer although I'm listing
    the Debian QT/KDE group as the official maintainer.  Thanks to
    Ben Burton for maintaining the package up until now.
  * Switch to CDBS.
  * Update Build-Depends to ensure getting c2a-transitioned versions of
    kdelibs and boost-python.

 -- Daniel Schepler <schepler@debian.org>  Mon,  5 Dec 2005 21:25:51 +0100

kdeedu (4:3.4.3-1) unstable; urgency=low

  * New upstream release.
  * Changed Maintainer to Debian Qt/KDE Maintainers
  * Acknowledge NMU (Closes: #334986). 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat,  3 Dec 2005 16:17:55 +0100

kdeedu (4:3.4.2-2.1) unstable; urgency=low

  * NMU
  * Use gcc-3.4 to build in arm, m68k and hppa, closes: #334986

 -- Isaac Clerencia <isaac@debian.org>  Fri, 21 Oct 2005 13:14:31 +0200

kdeedu (4:3.4.2-2) unstable; urgency=low

  * Built against libfam-dev, not libgamin-dev.

 -- Ben Burton <bab@debian.org>  Sun,  4 Sep 2005 10:58:17 +1000

kdeedu (4:3.4.2-1) unstable; urgency=low

  * New upstream release.
  * First g++-4 upload to sid.
  * Adjusted build-dependencies and shlibs files for the C++ ABI transition.
    Note that the libkdeedu1 and libkiten1 package names do not need to change.
  * Fixed tempfile handling in langen2kvtml, which is shipped in the kvoctrain
    package.  See the following URL for further information:
    - http://www.kde.org/info/security/advisory-20050815-1.txt
    References: CAN-2005-2101
  * Don't use libsuff=64 on amd64/ppc64 (closes: #301796).
  * Added the new script keduca-shrinker, thanks to Mathieu Roy for providing
    it (closes: #305980).
  * Updated FSF address in the copyright file.
  * Bumped standards-version to 3.6.2.1 (no changes required).
  * KTouch now allows manual level change regardless of whether automatic
    level changing is enabled (closes: #129491).
  * Line numbers fixed in KTurtle error messages (closes: #293582).

 -- Ben Burton <bab@debian.org>  Thu,  1 Sep 2005 09:04:24 +1000

kdeedu (4:3.4.3-0ubuntu2) breezy; urgency=low

  * Do not try to install missing man pages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun,  9 Oct 2005 13:12:42 +0100

kdeedu (4:3.4.3-0ubuntu1) breezy; urgency=low

  * New upstream release
  * Build with GCC 3.4 on hppa etc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  7 Oct 2005 18:35:59 +0000

kdeedu (4:3.4.2-0ubuntu4) breezy; urgency=low

  * SECURITY UPDATE: fix insecure temporary file creation
  * The script uses known filenames in /tmp which allow an
    local attacker to overwrite files writeable by the
    user (manually) invoking the conversion script.  A local
    file can overwrite files and possibly elevate privileges.
  * Add kubuntu_01_langen2kvtml_temp_file_vulnerability.diff
  * References:
    CAN-2005-2101
    http://www.kde.org/info/security/advisory-20050815-1.txt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 13 Aug 2005 12:35:52 +0000

kdeedu (4:3.4.2-0ubuntu3) breezy; urgency=low

  * last rebuild didnt work it seems...
    rebuild for new boost again to make kig installable in edubuntu

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  8 Aug 2005 12:08:34 +0200

kdeedu (4:3.4.2-0ubuntu2) breezy; urgency=low

  * Rebuild for new boost upload.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  3 Aug 2005 23:24:48 +0200

kdeedu (4:3.4.2-0ubuntu1) breezy; urgency=low

  * New upstream release
  * Build using unsermake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Jul 2005 16:24:24 +0000

kdeedu (4:3.4.1-0ubuntu1) breezy; urgency=low

  * Update version number following KDE 3.4.1 release

 -- Jonathan Riddell <jr@jriddell.org>  Wed,  1 Jun 2005 00:32:27 +0000

kdeedu (4:3.4.1-0ubuntu0pre1) breezy; urgency=low

  * New upstream release.
  * Sync with Debian.

 -- Jonathan Riddell <jr@jriddell.org>  Sat, 28 May 2005 19:08:44 +0000

kdeedu (4:3.4.0-0pre2) unstable; urgency=low

  * Merge in recent packaging changes from the 3.3 branch.
  * Now that KDE has moved to subversion, disable cvs-clean in debian/rules
    for the time being.

 -- Ben Burton <bab@debian.org>  Sat, 14 May 2005 19:20:58 +1000

kdeedu (4:3.4.0-0pre1) unstable; urgency=low

  * New major upstream release.
  * New binary packages libkiten1 and libkiten-dev.
  * Removed obsolete kderemove tags from menu items.

 -- Ben Burton <bab@debian.org>  Tue,  8 Mar 2005 07:43:35 +1100

kdeedu (4:3.3.2-3) unstable; urgency=low

  * Included the full GFDL text in debian/copyright, since all of the docbook
    documentation is under this license.
  * Fixed the "umbruckan" typos in the German kturtle data (closes: #285146).

 -- Ben Burton <bab@debian.org>  Sat, 26 Mar 2005 10:15:48 +1100

kdeedu (4:3.3.2-2) unstable; urgency=high

  * Fixed buffer overflows in fliccd, one of the INDI drivers shipped with
    kstars (closes: #295499).  See the following URL for further information:
    - http://www.kde.org/info/security/advisory-20050215-1.txt
    References: CAN-2005-0011
  * Patched the sources directly (i.e., the patch shows up in the usual
    debian diff but not as an extra file in debian/patches), since this is
    a non-debian-specific problem that is already fixed in upstream CVS.

 -- Ben Burton <bab@debian.org>  Thu, 17 Feb 2005 07:53:09 +1100

kdeedu (4:3.3.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * The moon images are now licensed under the GPL (closes: #266404).
  * Built against boost 1.32.0.
  * Re-enabled boost.python scripting on arm, since it now seems to be
    compiling with boost 1.32.0.
  * Added a test in debian/rules to make the build fail if the boost libraries
    are not built.

 -- Ben Burton <bab@debian.org>  Sun, 16 Jan 2005 20:45:11 +1100

kdeedu (4:3.4.0-0ubuntu1) hoary; urgency=low

  * Add directory /opt/trinity/share/doc/kde/HTML/en/flashkard to kdeedu-doc-html
    to prevent .dhelp problem.

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 16 Mar 2005 18:35:25 +0000

kdeedu (4:3.4.0-0pre1ubuntu1) hoary; urgency=low

  * New upstream release
  * cleanup debian/patches dir

 -- Andreas Mueller <amu@ubuntu.com>  Wed,  9 Mar 2005 18:09:17 +0000

kdeedu (4:3.3.2-1ubuntu2) hoary; urgency=low

  * SECURITY UPDATE: Buffer overflow in fliccd of kdeedu/kstars/indi
  * added 01-kstars-indi-fliccd-overflows.diff which fixes buffer overflows
  * References:
    CAN-2005-0011
    http://www.kde.org/info/security/advisory-20050215-1.txt

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 17 Feb 2005 02:44:19 +0000

kdeedu (4:3.3.2-1ubuntu1) hoary; urgency=low

  * New upstream release.

 -- Andreas Mueller <amu@canonical.com>  Sun, 16 Jan 2005 03:38:05 +0100

kdeedu (4:3.3.1-3) unstable; urgency=medium

  * Sigh.  Patched kstars platform tests for m68k.  This _really_ is
    every arch dealt with.

 -- Ben Burton <bab@debian.org>  Fri, 12 Nov 2004 07:39:04 +1100

kdeedu (4:3.3.1-2) unstable; urgency=medium

  * Patched platform tests in kstars to include mips and mipsel.

 -- Ben Burton <bab@debian.org>  Wed, 10 Nov 2004 07:45:35 +1100

kdeedu (4:3.3.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Platform tests in kstars code now expanded to include s390 and powerpc
    (closes: #278341).
  * Build-conflicts with autoconf2.13, which does not play well with
    Makefile.common.
  * KTurtle no longer crashes on configure (closes: #278234).
  * Patched KTurtle so that the default language is in fact one of the
    supported KTurtle languages and not a different dialect.  This fixes
    the broken examples directory as well as KTurtle refusing to run any
    commands.
  * Cosmetic updates to some manpages.

 -- Ben Burton <bab@debian.org>  Thu, 28 Oct 2004 08:35:18 +1000

kdeedu (4:3.3.0-1) unstable; urgency=low

  * New upstream release.
  * New binary packages klatin, kturtle and kwordquiz.
  * Package flashkard is no longer shipped with kdeedu.
  * There is no longer a need to pull data out of the upstream tarball,
    since upstream no longer ships with the (non-free) Messier images.
  * Made libkdeedu-dev depend on kdelibs4-dev.
  * KStars now shows borders between constellations (closes: #241930) and
    supports full-screen mode (closes: #219649).
  * KTouch now waits for a keypress before starting and also provides a
    pause button (closes: #129523).
  * A little more documentation is now installed for libkdeedu-dev.

 -- Ben Burton <bab@debian.org>  Sat, 16 Oct 2004 15:32:36 +1000

kdeedu (4:3.2.3-2) unstable; urgency=low

  * Disable kig scripting on arm while boost.python remains broken on
    that architecture.

 -- Ben Burton <bab@debian.org>  Sat, 17 Jul 2004 11:19:00 +1000

kdeedu (4:3.2.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * Added manpages for KStars INDI server and device drivers.
  * Suggests (konqueror | www-browser) for kdeedu-doc-html instead of
    just www-browser.
  * Added debian/clean-sources to simplify removal of non-DFSG-free material.

 -- Ben Burton <bab@debian.org>  Sun, 20 Jun 2004 09:48:28 +1000

kdeedu (4:3.2.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Built against Boost.Python 1.31.0, which in turn is built against
    Python 2.3 (closes: #243079, #245135).

 -- Ben Burton <bab@debian.org>  Thu, 22 Apr 2004 18:15:48 +1000

kdeedu (4:3.2.1-2) unstable; urgency=low

  * Don't use Conflicts/Replaces where we should just use Replaces.

 -- Ben Burton <bab@debian.org>  Tue, 16 Mar 2004 09:15:01 +1100

kdeedu (4:3.2.1-1) unstable; urgency=low

  * First KDE 3.2 upload to sid.

 -- Ben Burton <bab@debian.org>  Sun,  7 Mar 2004 17:42:59 +1100

kdeedu (4:3.2.0.1-1) experimental; urgency=low

  * First KDE 3.2 upload to experimental.
  * Sync from KDE_3_2_BRANCH for recent bugfixes (this requires an upstream
    version change since some binary files have been updated).
  * Split kstars into kstars / kstars-data.
  * Split klettres into klettres / klettres-data.
  * Using versioned dependencies for the kdeedu metapackage.

 -- Ben Burton <bab@debian.org>  Mon, 23 Feb 2004 08:14:22 +1100

kdeedu (4:3.2.0-1) unstable; urgency=low

  * New upstream release.
  * Many thanks to Ralf Nolden for all his help with packaging KDE 3.2.
  * New binary packages kbruch and kig.

 -- Ben Burton <bab@debian.org>  Sat, 31 Jan 2004 12:08:48 +1100

kdeedu (4:3.1.5-2) unstable; urgency=low

  * Building with -mieee on alpha to avoid kstars SIGFPE (closes: #226966).

 -- Ben Burton <bab@debian.org>  Tue, 20 Jan 2004 09:52:13 +1100

kdeedu (4:3.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Sun, 18 Jan 2004 12:55:12 +1100

kdeedu (4:3.1.4-3) unstable; urgency=low

  * Kiten recommends Japanese fonts (closes: #216440).
  * Kiten depends on edict and kanjidic instead of supplying its own
    copies (closes: #217196).

 -- Ben Burton <bab@debian.org>  Sun, 21 Dec 2003 20:03:28 +1100

kdeedu (4:3.1.4-2) unstable; urgency=low

  * New pull from BRANCH; includes bugfixes for kstars.
  * Fixed Saskatchewan time zones (closes: #206642).
  * Fixed incomplete sentences in tips of the day (closes: #196943).

 -- Ben Burton <bab@debian.org>  Fri, 12 Dec 2003 11:02:33 +1100

kdeedu (4:3.1.4-1) unstable; urgency=low

  * New upstream release.
  * Using the new debian_branch for kstars, which now uses the Hipparcos
    catalog and for which all non-DFSG-free images have been either removed or
    replaced.  The copyright file has been updated accordingly, including
    license information for both the catalog and images.  Thanks very much to
    Jason Harris for his hard work on this (closes: #198499).
  * KVocTrain no longer segfaults with inline editing (closes: #196211).
  * Split debian menu titles into title/longtitle (closes: #196666).
  * Changed several debian menu sections to Apps/Education.
  * Bumped standards-version to 3.6.1.

 -- Ben Burton <bab@debian.org>  Mon, 13 Oct 2003 11:29:44 +1000

kdeedu (4:3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Libtool updated (closes: #194479).
  * Debian menu pixmaps no longer use a restricted colour map.
  * Have kstars suggest konqueror since it offers the user online resources
    (closes: #192734).
  * Man page overhaul.

 -- Ben Burton <bab@debian.org>  Sun,  1 Jun 2003 14:15:47 +1000

kdeedu (4:3.1.1-1) unstable; urgency=low

  * New upstream release.
  * Removed alpha compile flags.

 -- Ben Burton <bab@debian.org>  Sun, 23 Mar 2003 15:23:23 +1100

kdeedu (4:3.1.0-3) unstable; urgency=low

  * Uses full paths in doc-base files instead of symlinks (closes: #180332).

 -- Ben Burton <bab@debian.org>  Tue, 11 Feb 2003 14:45:59 +1100

kdeedu (4:3.1.0-2) unstable; urgency=low

  * First KDE3 upload to debian (closes: #119019).
  * Rolled the epoch to aid upgrades from the unofficial repository on
    ftp.kde.org.. *sigh*

 -- Ben Burton <bab@debian.org>  Sun,  2 Feb 2003 19:40:16 +1100

kdeedu (3.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Mon, 18 Nov 2002 14:15:59 +1100

kdeedu (3.0.9-1) unstable; urgency=low

  * New upstream release.
  * Built with g++-3.2.
  * Build-depends on automake1.7.

 -- Ben Burton <benb@acm.org>  Tue, 22 Oct 2002 11:57:39 +1000

kdeedu (3.0.8-1) unstable; urgency=low

  * New upstream release.
  * Moved to Chris Cheney's style of debian/rules.
  * Build-depends on automake1.6.

 -- Ben Burton <benb@acm.org>  Sun, 22 Sep 2002 17:57:55 +1000

kdeedu (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on automake1.5.

 -- Ben Burton <benb@acm.org>  Thu, 15 Aug 2002 13:22:22 +1000

kdeedu (3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <benb@acm.org>  Thu,  4 Jul 2002 19:36:49 +1000

kdeedu (3.0.1-1) unstable; urgency=low

  * Initial Debian release (closes: Bug#119019).

 -- Ben Burton <benb@acm.org>  Sun, 19 May 2002 18:44:16 +1000
